My Project: dgDelaunayTetrahedralization Class Reference

My Project

Public Member Functions | Protected Member Functions | Static Protected Member Functions | List of all members
dgDelaunayTetrahedralization Class Reference

`#include <dgDelaunayTetrahedralization.h>`

Inheritance diagram for dgDelaunayTetrahedralization:

## Public Member Functions

| dgDelaunayTetrahedralization (dgMemoryAllocator *const allocator, const dgFloat64 *const vertexCloud, dgInt32 count, dgInt32 strideInByte, dgFloat64 distTol)
virtual | ~dgDelaunayTetrahedralization ()
void | RemoveUpperHull ()
dgInt32 | AddVertex (const dgBigVector &vertex)
Public Member Functions inherited from dgConvexHull4d
| dgConvexHull4d (dgMemoryAllocator *const allocator, const dgBigVector *const vertexCloud, dgInt32 count, dgFloat32 distTol)
virtual | ~dgConvexHull4d ()
dgInt32 | GetVertexCount () const
dgInt32 | GetVertexIndex (dgInt32 i) const
const dgBigVector & | GetVertex (dgInt32 i) const
const dgHullVector * | GetHullVertexArray () const
dgInt32 | IncMark ()
void | Save (const char *const filename) const
Public Member Functions inherited from dgList< dgConvexHull4dTetraherum >
| dgList (dgMemoryAllocator *const allocator)
virtual | ~dgList ()
dgMemoryAllocator * | GetAllocator () const
void | SetAllocator (dgMemoryAllocator *const allocator)
| operator dgInt32 () const
dgInt32 | GetCount () const
dgListNode * | GetLast () const
dgListNode * | GetFirst () const
dgListNode * | Append ()
dgListNode * | Append (dgListNode *const node)
dgListNode * | Append (const dgConvexHull4dTetraherum &element)
dgListNode * | Addtop ()
dgListNode * | Addtop (dgListNode *const node)
dgListNode * | Addtop (const dgConvexHull4dTetraherum &element)
void | RotateToEnd (dgListNode *const node)
void | RotateToBegin (dgListNode *const node)
void | InsertAfter (dgListNode *const root, dgListNode *const node)
void | InsertBefore (dgListNode *const root, dgListNode *const node)
dgListNode * | Find (const dgConvexHull4dTetraherum &element) const
dgListNode * | GetNodeFromInfo (dgConvexHull4dTetraherum &m_info) const
void | Remove (dgListNode *const node)
void | Remove (const dgConvexHull4dTetraherum &element)
void | RemoveAll ()
void | Merge (dgList< dgConvexHull4dTetraherum > &list)
void | Unlink (dgListNode *const node)
bool | SanityCheck () const

## Protected Member Functions

virtual void | DeleteFace (dgListNode *const node)
dgFloat64 | GetTetraVolume (const dgConvexHull4dTetraherum *const tetra) const
void | SortVertexArray ()
Protected Member Functions inherited from dgConvexHull4d
| dgConvexHull4d (dgMemoryAllocator *const allocator)
void | BuildHull (dgMemoryAllocator *const allocator, const dgBigVector *const vertexCloud, dgInt32 count, dgFloat64 distTol)
virtual dgInt32 | InitVertexArray (dgHullVector *const points, const dgBigVector *const vertexCloud, dgInt32 count, void *const memoryPool, dgInt32 maxMemSize)
virtual dgListNode * | AddFace (dgInt32 i0, dgInt32 i1, dgInt32 i2, dgInt32 i3)
dgListNode * | FindFacingNode (const dgBigVector &vertex)
dgInt32 | BuildNormalList (dgBigVector *const normalArray) const
void | InsertNewVertex (dgInt32 vertexIndex, dgListNode *const frontFace, dgList< dgListNode *> &deletedFaces, dgList< dgListNode *> &newFaces)
dgInt32 | SupportVertex (dgAABBPointTree4d **const tree, const dgHullVector *const points, const dgBigVector &dir) const
void | TessellateTriangle (dgInt32 level, const dgVector &p0, const dgVector &p1, const dgVector &p2, dgInt32 &count, dgBigVector *const ouput, dgInt32 &start) const
void | CalculateConvexHull (dgAABBPointTree4d *vertexTree, dgHullVector *const points, dgInt32 count, dgFloat64 distTol)
void | LinkSibling (dgListNode *node0, dgListNode *node1) const
bool | Sanity () const
dgAABBPointTree4d * | BuildTree (dgAABBPointTree4d *const parent, dgHullVector *const points, dgInt32 count, dgInt32 baseIndex, dgInt8 **const memoryPool, dgInt32 &maxMemSize) const
dgFloat64 | RoundToFloat (dgFloat64 val) const

## Static Protected Member Functions

static dgInt32 | CompareVertexByIndex (const dgHullVector *const A, const dgHullVector *const B, void *const context)
Static Protected Member Functions inherited from dgConvexHull4d
static dgInt32 | ConvexCompareVertex (const dgHullVector *const A, const dgHullVector *const B, void *const context)

## Additional Inherited Members

Protected Attributes inherited from dgConvexHull4d
dgInt32 | m_mark
dgInt32 | m_count
dgFloat64 | m_diag
dgArray< dgHullVector > | m_points

## Constructor & Destructor Documentation

## § dgDelaunayTetrahedralization()

dgDelaunayTetrahedralization::dgDelaunayTetrahedralization | ( | dgMemoryAllocator *const | allocator,
|  | const dgFloat64 *const | vertexCloud,
|  | dgInt32 | count,
|  | dgInt32 | strideInByte,
|  | dgFloat64 | distTol
| ) |  |

## § ~dgDelaunayTetrahedralization()

dgDelaunayTetrahedralization::~dgDelaunayTetrahedralization | ( |  | ) |

virtual

## Member Function Documentation

## § AddVertex()

dgInt32 dgDelaunayTetrahedralization::AddVertex | ( | const dgBigVector & | vertex | ) |

virtual

Reimplemented from dgConvexHull4d.

## § CompareVertexByIndex()

dgInt32 dgDelaunayTetrahedralization::CompareVertexByIndex | ( | const dgHullVector *const | A,
|  | const dgHullVector *const | B,
|  | void *const | context
| ) |  |

staticprotected

## § DeleteFace()

void dgDelaunayTetrahedralization::DeleteFace | ( | dgListNode *const | node | ) |

protectedvirtual

Reimplemented from dgConvexHull4d.

## § GetTetraVolume()

dgFloat64 dgDelaunayTetrahedralization::GetTetraVolume | ( | const dgConvexHull4dTetraherum *const | tetra | ) | const

protected

## § RemoveUpperHull()

void dgDelaunayTetrahedralization::RemoveUpperHull | ( |  | ) |

## § SortVertexArray()

void dgDelaunayTetrahedralization::SortVertexArray | ( |  | ) |

protected

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/core/dgDelaunayTetrahedralization.h
- dynamics.mod/NewtonDynamics/source/core/dgDelaunayTetrahedralization.cpp